%define major		20
%define libname		%mklibname etpan %{major}
%define develname	%mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	1.9.4
Release:	%mkrel 4
Group:		System/Libraries
License:	BSD
URL:		http://www.etpan.org/libetpan.html
Source0:	https://github.com/dinhviethoa/libetpan/archive/%{version}/%{name}-%{version}.tar.gz
# Upstream patches
Patch1:		0001-Fix-always-is-false-352.patch
Patch2:		0002-Fix-always-is-false-351.patch
Patch3:		0003-Fix-potential-null-pointer-deference-348.patch
Patch4:		0004-Fix-expression-always-false.-354.patch
Patch5:		0005-Fix-potential-uninitialized-var-type-used-355.patch
Patch6:		0006-Fix-expression-always-false-356.patch
Patch7:		0007-Style-fix-potential-uninitialized-var-data-used.-357.patch
Patch8:		0008-Fix-potential-uninitialized-var-data-used.-358.patch
Patch9:		0009-Fix-var-assigned-to-same-value.-359.patch
Patch10:	0010-Fix-vars-assigned-to-same-value.-360.patch
Patch11:	0011-Fix-null-pointer-in-free-call.-362.patch
Patch12:	0012-Fix-potential-null-pointer-deferenced-363.patch
Patch13:	0013-Fix-potential-null-pointer-deferenced-361.patch
Patch14:	0014-Fix-potential-dereferencing-null-pointer.-365.patch
Patch15:	0015-Fix-var-assigned-but-value-is-not-used.-372.patch
Patch16:	0016-Do-not-ignore-error-code.-373.patch
Patch21:	0021-Fixed-warning.patch
Patch22:	0022-Fixed-warning.patch

# Others
Patch101:	0001-Remove-LDFLAGS-from-libetpan.pc.patch
Patch201:	libetpan-1.6-link.patch
Patch202:	libetpan-1.7.2-debug-info.patch

Patch301:	libetpan-1.9.4-0001-Detect-extra-data-after-STARTTLS-response-and-exit-3.patch
Patch302:	libetpan-1.9.4-0002-Detect-extra-data-after-STARTTLS-responses-in-SMTP-a.patch

BuildRequires:	pkgconfig(gnutls)
BuildRequires:	db-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(expat)

%description
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries

%description -n %{libname}
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%autopatch -p1

mv README.md README

%build
autoreconf -vfi
%configure \
	--without-openssl \
	--with-gnutls \
	--enable-ipv6 \
	--enable-optim \
	--disable-static

%make_build

%check
%__make check

%install
%make_install

#workaround for *.h detections
#install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license COPYING COPYRIGHT
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%doc ChangeLog NEWS
%doc doc/DOCUMENTATION
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libetpan.pc


%changelog
* Wed Sep 02 2020 ns80 <ns80> 1.9.4-4.mga8
+ Revision: 1620841
- add Fedora patches for CVE-2020-15953 (mga#27168)

* Sun Jul 05 2020 wally <wally> 1.9.4-3.mga8
+ Revision: 1602315
- add fixes from upstream git

* Mon Feb 17 2020 umeabot <umeabot> 1.9.4-2.mga8
+ Revision: 1537752
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 07 2019 wally <wally> 1.9.4-1.mga8
+ Revision: 1458711
- new version 1.9.4

* Sat Aug 24 2019 wally <wally> 1.9.3-3.mga8
+ Revision: 1431730
- add patch to remove LDFLAGS from libetpan.pc

* Sat Aug 03 2019 wally <wally> 1.9.3-2.mga8
+ Revision: 1427118
- add patches from usptream
- drop libetpan-config and switch to pkgconfig

* Mon Feb 25 2019 wally <wally> 1.9.3-1.mga7
+ Revision: 1370177
- new version 1.9.3
- drop patches from upstream

* Sun Dec 16 2018 wally <wally> 1.9.1-2.mga7
+ Revision: 1341797
- add upstream patches
  - add TLS SNI support
  - misc build fixes

* Sat Dec 01 2018 daviddavid <daviddavid> 1.9.1-1.mga7
+ Revision: 1336992
- new version: 1.9.1

* Sun Sep 23 2018 umeabot <umeabot> 1.8-2.mga7
+ Revision: 1298828
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 1.8-1.mga7
+ Revision: 1215725
- Update to version 1.8
- Rediffed patches
- Removed old, merged patches

* Fri Sep 15 2017 cjw <cjw> 1.7.2-3.mga7
+ Revision: 1153937
- patch2: fix debug packages

* Tue May 09 2017 neoclust <neoclust> 1.7.2-2.mga6
+ Revision: 1099779
- Add P0104 - Fixes CVE-2017-8825 (mga#20809)

* Fri Apr 21 2017 wally <wally> 1.7.2-1.mga6
+ Revision: 1096998
- new version 1.7.2 with interesting patches from upstream
- new lib major 20

* Sat Mar 19 2016 wally <wally> 1.6-3.mga6
+ Revision: 992991
- add patch from upstream to negotiate highest available SSL/TLS version when using STARTTLS

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.6-2.mga6
+ Revision: 921816
- rebuild for gnutls

* Wed Nov 12 2014 wally <wally> 1.6-1.mga5
+ Revision: 796569
- new version 1.6
- rediff linking patch

* Wed Oct 15 2014 umeabot <umeabot> 1.5-3.mga5
+ Revision: 747358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 681444
- Mageia 5 Mass Rebuild

* Sat May 24 2014 wally <wally> 1.5-1.mga5
+ Revision: 625621
- new version 1.5
- new libmajor 17
- drop unneeded patches
- fix URL
- clean docs
- cleam .spec a bit

* Sat Oct 19 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 533217
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.1-8.mga4
+ Revision: 472076
- rebuild for cyrus-sasl

* Sat Jan 12 2013 umeabot <umeabot> 1.1-7.mga3
+ Revision: 357058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.1-6.mga3
+ Revision: 341555
- patch3: fix build with automake 1.13

* Tue Jul 31 2012 fwang <fwang> 1.1-5.mga3
+ Revision: 276308
- rebuild for db-5.3

* Fri Jul 20 2012 fwang <fwang> 1.1-4.mga3
+ Revision: 272791
- recognize db 5.2

* Fri Jul 20 2012 fwang <fwang> 1.1-3.mga3
+ Revision: 272787
- build with db 5.2

* Tue Jan 03 2012 fwang <fwang> 1.1-2.mga3
+ Revision: 189929
- fix obsoletes

* Tue Jan 03 2012 fwang <fwang> 1.1-1.mga2
+ Revision: 189872
- update libmajor
- fix linkage
- rebuild for new gnutls
+ tv <tv>
- new release

* Fri Feb 25 2011 ahmad <ahmad> 1.0-2.mga1
+ Revision: 59220
- disable static build and don't ship .la
- drop old/unneeded scriptlets
- imported package libetpan

